<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2007 Thomas Waggershauser <waggershauser@airware.de>
*  (c) 2018 Stefan Beyer SEDAT GmbH <stefan@sedat.de>
*  All rights reserved
*
*  This script is part of Cy4Marktzeitung. The Cy4Marktzeitung project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 3 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
define('ENTRY_POINT', true);
error_reporting(E_ALL | E_WARNING | E_NOTICE);

#echo ini_get('open_basedir');
#ini_set('open_basedir', realpath('./cache'));
#echo ini_get('open_basedir');
#echo opendir('TCPDF6/cache/');
#die();

$custom_functions = 'custom_functions.php';
$config = 'config.php';
try {
  include 'controller.php';
} catch (\Throwable $t) {
  if (defined('DEBUG') && DEBUG) {
    echo get_class($t);
    echo '<br/>';
    echo $t->getMessage();
    echo '<br/>';
    echo $t->getTraceAsString();
  } else {
    throw $t;
  }
}